org.eclipse.microprofile.config.tck.converters.convertToNull

## Class ConvertedNullValueTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.converters.convertToNull.ConvertedNullValueTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class ConvertedNullValueTest
    extends org.jboss.arquillian.testng.Arquillian

This is to test that when a converter returns null for some config value, null will be assigned. This means the property still exists but the value is set to null on purpose.

### Nested Class Summary

Nested Classes
`static class` `ConvertedNullValueTest.MyBean`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ConvertedNullValueTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive` `deployment()`
`void` `testDefaultValueNotUsed()`
`void` `testGetOptionalValue()`
`void` `testGetValue()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConvertedNullValueTest

    public ConvertedNullValueTest()

### Method Detail

#### deployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive deployment()

#### testDefaultValueNotUsed

    public void testDefaultValueNotUsed()

#### testGetValue

    public void testGetValue()

#### testGetOptionalValue

    public void testGetOptionalValue()